| Home | Libraries | People | FAQ | More

## Struct log

boost::histogram::axis::transform::log — Log transform for equidistant bins in log-space.

## Synopsis

    // In header: <boost/histogram/axis/regular.hpp>

    struct log {

      // public static functions
      template<typename T> static T forward(T);
      template<typename T> static T inverse(T);

      // public member functions
      template<typename Archive> void serialize(Archive &, unsigned);
    };

## Description

### `log` public static functions

1.     template<typename T> static T forward(T x);

   Returns log(x) of external value x.

2.     template<typename T> static T inverse(T x);

   Returns exp(x) for internal value x.

### `log` public member functions

1.     template<typename Archive> void serialize(Archive &, unsigned);